{ config, lib, ... }: {
  imports = [ ./dbus ./fonts ./hw ./locale ./network ./nix ./security ./xdg ];

  services.journald.extraConfig = ''
    SystemMaxUse=512M
    SystemMaxFileSize=64M
    MaxRetentionSec=1month
    RateLimitIntervalSec=30s
    RateLimitBurst=10000
  '';

  systemd.services.systemd-user-sessions = {
    after = lib.mkForce ([
      "system.slice"
      "systemd-journald.socket"
      "sysinit.target"
      "remote-fs.target"
      "nss-user-lookup.target"
      "home.mount"
      "basic.target"
    ] ++ map (user: "home-manager-${user.username}.service") config.syscfg.users);
  };
}
